/**
 * A builder method that returns the <a href='https://dev.wix.com/docs/sdk/host-modules/dashboard/navigate#destination-object'>destination object</a> for navigating to the Blog Analytics page in the dashboard.
 * @dashobardPageBuilder
 */
declare function blogAnalytics(): PageBuilderResult;
/**
 * A builder method that returns the <a href='https://dev.wix.com/docs/sdk/host-modules/dashboard/navigate#destination-object'>destination object</a> for navigating to the Blog Posts page in the dashboard.
 * @dashobardPageBuilder
 */
declare function blogPosts(): PageBuilderResult;
/**
 * A builder method that returns the <a href='https://dev.wix.com/docs/sdk/host-modules/dashboard/navigate#destination-object'>destination object</a> for navigating to the Blog Writers page in the dashboard.
 * @dashobardPageBuilder
 */
declare function blogWriters(): PageBuilderResult;
/**
 * A builder method that returns the <a href='https://dev.wix.com/docs/sdk/host-modules/dashboard/navigate#destination-object'>destination object</a> for navigating to the Blog Tags page in the dashboard.
 * @dashobardPageBuilder
 */
declare function blogTags(): PageBuilderResult;
/**
 * A builder method that returns the <a href='https://dev.wix.com/docs/sdk/host-modules/dashboard/navigate#destination-object'>destination object</a> for navigating to the Blog Comments page in the dashboard.
 * @dashobardPageBuilder
 */
declare function blogComments(): PageBuilderResult;
/**
 * A builder method that returns the <a href='https://dev.wix.com/docs/sdk/host-modules/dashboard/navigate#destination-object'>destination object</a> for navigating to the Blog Monetization page in the dashboard.
 * @dashobardPageBuilder
 */
declare function blogMonetization(): PageBuilderResult;
/**
 * A builder method that returns the <a href='https://dev.wix.com/docs/sdk/host-modules/dashboard/navigate#destination-object'>destination object</a> for navigating to the Blog Templates page in the dashboard.
 * @dashobardPageBuilder
 */
declare function blogTemplates(): PageBuilderResult;
/**
 * A builder method that returns the <a href='https://dev.wix.com/docs/sdk/host-modules/dashboard/navigate#destination-object'>destination object</a> for navigating to the Blog Categories page in the dashboard.
 * @dashobardPageBuilder
 */
declare function blogCategories(): PageBuilderResult;
/**
 * A builder method that returns the <a href='https://dev.wix.com/docs/sdk/host-modules/dashboard/navigate#destination-object'>destination object</a> for navigating to the Blog Overview page in the dashboard.
 * @dashobardPageBuilder
 */
declare function blogOverview(): PageBuilderResult;
/**
 * A builder method that returns the <a href='https://dev.wix.com/docs/sdk/host-modules/dashboard/navigate#destination-object'>destination object</a> for navigating to the Blog Settings page in the dashboard.
 * @dashobardPageBuilder
 */
declare function blogSettings(): PageBuilderResult;
interface PageBuilderResult {
    pageId: string;
    relativeUrl?: string;
}

type dashboardPageBuilders_PageBuilderResult = PageBuilderResult;
declare const dashboardPageBuilders_blogAnalytics: typeof blogAnalytics;
declare const dashboardPageBuilders_blogCategories: typeof blogCategories;
declare const dashboardPageBuilders_blogComments: typeof blogComments;
declare const dashboardPageBuilders_blogMonetization: typeof blogMonetization;
declare const dashboardPageBuilders_blogOverview: typeof blogOverview;
declare const dashboardPageBuilders_blogPosts: typeof blogPosts;
declare const dashboardPageBuilders_blogSettings: typeof blogSettings;
declare const dashboardPageBuilders_blogTags: typeof blogTags;
declare const dashboardPageBuilders_blogTemplates: typeof blogTemplates;
declare const dashboardPageBuilders_blogWriters: typeof blogWriters;
declare namespace dashboardPageBuilders {
  export { type dashboardPageBuilders_PageBuilderResult as PageBuilderResult, dashboardPageBuilders_blogAnalytics as blogAnalytics, dashboardPageBuilders_blogCategories as blogCategories, dashboardPageBuilders_blogComments as blogComments, dashboardPageBuilders_blogMonetization as blogMonetization, dashboardPageBuilders_blogOverview as blogOverview, dashboardPageBuilders_blogPosts as blogPosts, dashboardPageBuilders_blogSettings as blogSettings, dashboardPageBuilders_blogTags as blogTags, dashboardPageBuilders_blogTemplates as blogTemplates, dashboardPageBuilders_blogWriters as blogWriters };
}

/**
 * @pageName BlogPosts
 * @slotType dashboard plugin
 */
type PostsBannerParams = EmptyParams$3;
/** @internal */
type EmptyParams$3 = {};
/**
 * @pageName BlogPosts
 * @slotType dashboard menu plugin
 */
type PublishedPostItemMoreActionsMenuParams = ActionParams$2;
/** @internal */
type ActionParams$2 = {
    selectedId: string;
};
/**
 * @pageName BlogPosts
 * @slotType dashboard menu plugin
 */
type PublishedPostItemsBulkMoreActionsMenuParams = BulkActionParams$2;
/** @internal */
type BulkActionParams$2 = {
    selectedIds: string[];
};
/**
 * @pageName BlogPosts
 * @slotType dashboard menu plugin
 */
type DraftPostItemMoreActionsMenuParams = ActionParams$2;
/**
 * @pageName BlogPosts
 * @slotType dashboard menu plugin
 */
type DraftPostItemsBulkMoreActionsMenuParams = BulkActionParams$2;
/**
 * @pageName BlogPosts
 * @slotType dashboard menu plugin
 */
type ScheduledPostItemMoreActionsMenuParams = ActionParams$2;
/**
 * @pageName BlogPosts
 * @slotType dashboard menu plugin
 */
type ScheduledItemsBulkMoreActionsMenuParams = BulkActionParams$2;

type c7b86028B1d242b0Be1d4c95b374fc7d_DraftPostItemMoreActionsMenuParams = DraftPostItemMoreActionsMenuParams;
type c7b86028B1d242b0Be1d4c95b374fc7d_DraftPostItemsBulkMoreActionsMenuParams = DraftPostItemsBulkMoreActionsMenuParams;
type c7b86028B1d242b0Be1d4c95b374fc7d_PostsBannerParams = PostsBannerParams;
type c7b86028B1d242b0Be1d4c95b374fc7d_PublishedPostItemMoreActionsMenuParams = PublishedPostItemMoreActionsMenuParams;
type c7b86028B1d242b0Be1d4c95b374fc7d_PublishedPostItemsBulkMoreActionsMenuParams = PublishedPostItemsBulkMoreActionsMenuParams;
type c7b86028B1d242b0Be1d4c95b374fc7d_ScheduledItemsBulkMoreActionsMenuParams = ScheduledItemsBulkMoreActionsMenuParams;
type c7b86028B1d242b0Be1d4c95b374fc7d_ScheduledPostItemMoreActionsMenuParams = ScheduledPostItemMoreActionsMenuParams;
declare namespace c7b86028B1d242b0Be1d4c95b374fc7d {
  export type { ActionParams$2 as ActionParams, BulkActionParams$2 as BulkActionParams, c7b86028B1d242b0Be1d4c95b374fc7d_DraftPostItemMoreActionsMenuParams as DraftPostItemMoreActionsMenuParams, c7b86028B1d242b0Be1d4c95b374fc7d_DraftPostItemsBulkMoreActionsMenuParams as DraftPostItemsBulkMoreActionsMenuParams, EmptyParams$3 as EmptyParams, c7b86028B1d242b0Be1d4c95b374fc7d_PostsBannerParams as PostsBannerParams, c7b86028B1d242b0Be1d4c95b374fc7d_PublishedPostItemMoreActionsMenuParams as PublishedPostItemMoreActionsMenuParams, c7b86028B1d242b0Be1d4c95b374fc7d_PublishedPostItemsBulkMoreActionsMenuParams as PublishedPostItemsBulkMoreActionsMenuParams, c7b86028B1d242b0Be1d4c95b374fc7d_ScheduledItemsBulkMoreActionsMenuParams as ScheduledItemsBulkMoreActionsMenuParams, c7b86028B1d242b0Be1d4c95b374fc7d_ScheduledPostItemMoreActionsMenuParams as ScheduledPostItemMoreActionsMenuParams };
}

/**
 * @pageName Posts
 * @slotType dashboard menu plugin
 */
type EditPostMainMoreActionsMenuParams = {};

type a7f877e069ac459f8b5bEb7c5e25bad2_EditPostMainMoreActionsMenuParams = EditPostMainMoreActionsMenuParams;
declare namespace a7f877e069ac459f8b5bEb7c5e25bad2 {
  export type { a7f877e069ac459f8b5bEb7c5e25bad2_EditPostMainMoreActionsMenuParams as EditPostMainMoreActionsMenuParams };
}

/**
 * @pageName BlogTags
 * @slotType dashboard plugin
 */
type TagsBannerParams = EmptyParams$2;
/** @internal */
type EmptyParams$2 = {};
/**
 * @pageName BlogTags
 * @slotType dashboard menu plugin
 */
type TagItemMoreActionsMenuParams = ActionParams$1;
/** @internal */
type ActionParams$1 = {
    selectedId: string;
};
/**
 * @pageName BlogTags
 * @slotType dashboard menu plugin
 */
type TagItemsBulkMoreActionsMenuParams = BulkActionParams$1;
/** @internal */
type BulkActionParams$1 = {
    selectedIds: string[];
};

type _06313e4980f7498e99cd312eab83f391_TagItemMoreActionsMenuParams = TagItemMoreActionsMenuParams;
type _06313e4980f7498e99cd312eab83f391_TagItemsBulkMoreActionsMenuParams = TagItemsBulkMoreActionsMenuParams;
type _06313e4980f7498e99cd312eab83f391_TagsBannerParams = TagsBannerParams;
declare namespace _06313e4980f7498e99cd312eab83f391 {
  export type { ActionParams$1 as ActionParams, BulkActionParams$1 as BulkActionParams, EmptyParams$2 as EmptyParams, _06313e4980f7498e99cd312eab83f391_TagItemMoreActionsMenuParams as TagItemMoreActionsMenuParams, _06313e4980f7498e99cd312eab83f391_TagItemsBulkMoreActionsMenuParams as TagItemsBulkMoreActionsMenuParams, _06313e4980f7498e99cd312eab83f391_TagsBannerParams as TagsBannerParams };
}

/**
 * @pageName BlogCategories
 * @slotType dashboard plugin
 */
type CategoriesBannerParams = EmptyParams$1;
/** @internal */
type EmptyParams$1 = {};
/**
 * @pageName BlogCategories
 * @slotType dashboard menu plugin
 */
type CategoryItemMoreActionsMenuParams = ActionParams;
/** @internal */
type ActionParams = {
    selectedId: string;
};
/**
 * @pageName BlogCategories
 * @slotType dashboard menu plugin
 */
type CategoryItemsBulkMoreActionsMenuParams = BulkActionParams;
/** @internal */
type BulkActionParams = {
    selectedIds: string[];
};

type fd3e1c6689b044eeB8241a28cc1a6dde_ActionParams = ActionParams;
type fd3e1c6689b044eeB8241a28cc1a6dde_BulkActionParams = BulkActionParams;
type fd3e1c6689b044eeB8241a28cc1a6dde_CategoriesBannerParams = CategoriesBannerParams;
type fd3e1c6689b044eeB8241a28cc1a6dde_CategoryItemMoreActionsMenuParams = CategoryItemMoreActionsMenuParams;
type fd3e1c6689b044eeB8241a28cc1a6dde_CategoryItemsBulkMoreActionsMenuParams = CategoryItemsBulkMoreActionsMenuParams;
declare namespace fd3e1c6689b044eeB8241a28cc1a6dde {
  export type { fd3e1c6689b044eeB8241a28cc1a6dde_ActionParams as ActionParams, fd3e1c6689b044eeB8241a28cc1a6dde_BulkActionParams as BulkActionParams, fd3e1c6689b044eeB8241a28cc1a6dde_CategoriesBannerParams as CategoriesBannerParams, fd3e1c6689b044eeB8241a28cc1a6dde_CategoryItemMoreActionsMenuParams as CategoryItemMoreActionsMenuParams, fd3e1c6689b044eeB8241a28cc1a6dde_CategoryItemsBulkMoreActionsMenuParams as CategoryItemsBulkMoreActionsMenuParams, EmptyParams$1 as EmptyParams };
}

/**
 * @pageName BlogOverview
 * @slotType dashboard plugin
 */
type OverviewBannerParams = EmptyParams;
/** @internal */
type EmptyParams = {};

type _7c8f91b90b6547ee92eb37c1f9a4d410_EmptyParams = EmptyParams;
type _7c8f91b90b6547ee92eb37c1f9a4d410_OverviewBannerParams = OverviewBannerParams;
declare namespace _7c8f91b90b6547ee92eb37c1f9a4d410 {
  export type { _7c8f91b90b6547ee92eb37c1f9a4d410_EmptyParams as EmptyParams, _7c8f91b90b6547ee92eb37c1f9a4d410_OverviewBannerParams as OverviewBannerParams };
}

declare namespace dashboardPagesPluginProps {
  export { fd3e1c6689b044eeB8241a28cc1a6dde as BlogCategories, _7c8f91b90b6547ee92eb37c1f9a4d410 as BlogOverview, c7b86028B1d242b0Be1d4c95b374fc7d as BlogPosts, _06313e4980f7498e99cd312eab83f391 as BlogTags, a7f877e069ac459f8b5bEb7c5e25bad2 as Posts };
}

declare namespace dashboard {
  export { dashboardPageBuilders as pages, dashboardPagesPluginProps as plugins };
}

export { dashboard as d, dashboardPageBuilders as pages, dashboardPagesPluginProps as plugins };
